> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{organisationId}

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{organisationId}
```

where `{organisationId}` is the ID of an organisation.

## Supported methods and overview&#x20;

* `DELETE` - removes an organisation (specified by `organisationId`) configured on the Covata Platform (available to SafeShare administrators only) on the proviso that this organisation has an existing request for its removal (made by another SafeShare administrator).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint removes an organisation (specified by `organisationId`) configured on the Covata Platform by a SafeShare administrator.

For a request to this endpoint to succeed, a previous call to [\<access-service>/api/v1/organisations/\{organisationId}/removalRequest](/3.5/api/access-service-api-v1-organisations-organisationid-removalrequest.md) (i.e. to initiate a request to remove this organisation) must have already been made by another SafeShare administrator whose [access token was submitted in the request to that API endpoint](/3.5/api/access-service-api-v1-organisations-organisationid-removalrequest.md#access-service-api-v1-organisations-organisationid-removalrequest-supported-roles).

> [!TIP]
>
> To determine if an organisation has an existing request for its removal, use the [\<access-service>/api/v1/organisations](/3.5/api/access-service-api-v1-organisations.md) API endpoint to retrieve information about organisations configured on the Covata Platform and if the required organisation's `organisationRemovalRequest` member is not `null` and contains sub-members, then the organisation has an existing request for its removal.

## Supported roles and conditions&#x20;

This API endpoint supports the following Covata user [roles](/3.5/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) (as described in the [SafeShare Administrator's Guide](/3.5/admin-platform.md)):

* [SafeShare administrator](/3.5/admin-platform/administering-platform-administrator-users.md#platform-administrator-role) - when this user is a different SafeShare administrator to the one who [initiated the request to remove this organisation](/3.5/api/access-service-api-v1-organisations-organisationid-removalrequest.md).

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.5/api/access-service-api-v1-organisations-organisationid.md#access-service-api-v1-organisations-organisationid-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.